Page MenuHomePhabricator

Switch passing mwext-*-jslint jobs to jshint/jsonlint
Closed, ResolvedPublic

Description

Thought I had finished this, apparently not:

(python)km@km-tp ~/p/integration-config> 
/home/km/python/bin/zuul-server -t -l /home/km/projects/integration-config/zuul/layout.yaml 2>| grep zuul.DependentPipelineManager | grep jslint | grep -v nonvoting
INFO:zuul.DependentPipelineManager:      <Job mwext-LogoFunctions-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-MediaWikiAuth-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-HSTS-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-InteractiveBlockMessage-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-MediaFunctions-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ThrottleOverride-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job apps-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SkinPerNamespace-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Limn-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-NoTitle-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-NSFileRepo-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RandomImage-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-examples-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Numbertext-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Foxway-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PageTools-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-InterwikiMagic-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-NukeDPL-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-VoteNY-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-FeedsFromPrivateWikis-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SecurePasswords-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-CategoryTests-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SemanticWebBrowser-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ShoutBox-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-DynamicPageList-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-GoogleDocTag-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Checkpoint-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-WikiArticleFeeds-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-CryoKey-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-CreditTab-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-TimeMachine-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SubpageFun-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-CategorySlideShow-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-StarterWiki-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PrefStats-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-TweetANew-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ForcePreview-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-CentralLogging-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-GroupsSidebar-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-HidePrefix-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-NetworkAuth-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-WikibaseMobile-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ExternalArticles-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Oversight-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-StaffEdits-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-GooglePlusOne-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-NewUsersList-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-NumberOfWikis-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-WikiTwidget-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-DidYouMean-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Poll-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-DjangoAnalytics-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-GlobalUserrights-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Description2-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SecureHTML-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-NumberFormat-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PhpTagsSMW-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-NamespaceHTML-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SelectTag-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Suhosin-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-NewsBox-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-TimezoneSelector-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-BreadCrumbs2-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RightFunctions-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PollNY-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Polyglot-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PageInCat-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-OdbcDatabase-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-CloseWikis-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SoftwareVersion-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PageCreationNotif-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-GlobalUserGroups-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Screenplay-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-EtherpadLite-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-News-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SphinxSearch-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SolrStore-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-CopyToClipboard-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SimpleSurvey-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-NumerAlpha-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PGFTikZ-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ExtraLanguageLink-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Carp-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-FirstSteps-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-LanguageTag-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-StringFunctionsEscaped-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SwiftMailer-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-NamespacePaths-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-GoogleDocs4MW-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SemanticRating-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PageNotice-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SmoothGallery-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RegexFunctions-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-googleAnalytics-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SwarmExport-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-DPLforum-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Lockdown-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RandomGameUnit-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-MSSQLBackCompat-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PdfBook-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-IndexFunction-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RefreshSpecial-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ThumbParser-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Loops-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-NamespaceRelations-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-WikidataEntitySuggester-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PhpTagsMaps-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Commentbox-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-TitleIcon-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ContributionReporting-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SimpleChanges-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SemanticMaps-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-TimelineTable-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-LinkFilter-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Spark-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ReassignEdits-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-CreatePage-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-FormatDates-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Mpdf-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-IfTemplates-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-UserStatus-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ReplaceSet-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-HelpCommons-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-JSBreadCrumbs-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-StalkerLog-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Persona-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-FlvHandler-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ScanSet-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Less-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Widgets-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-OfflineImportLexicon-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Negref-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-FanBoxes-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-HostStats-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PanScroll-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PageDisqus-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Phalanx-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-OnlineStatusBar-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-HTMLTags-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-EnhanceContactForm-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-LockDownEnglishPages-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-LogEntry-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Duplicator-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Interlanguage-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PictureGame-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ListSignup-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job apps-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PurgeClickThrough-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SocialProfile-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-WebPlatformSearchAutocomplete-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-DataTransfer-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RandomImageByCategory-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-DeleteOwn-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ProtectSite-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RelationLinks-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Genderize-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PubSubHubbub-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SiteMetrics-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-OracleTextSearch-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-FilterListUsers-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-DownloadCounter-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-MagicNoCache-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-CategorySortHeaders-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RevisionCommentSupplement-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PhpHighlight-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-TemplateInfo-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-HashTables-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-OnlyRecentRecentChanges-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PdfExport-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ImageLink-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RT-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-GlobalNotice-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-FormatNum-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PageLanguage-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SidebarDonateBox-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Model-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Sarcasm-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job parsoidsvc-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ArticleIndex-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SSLClientAuthentication-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-MultiUpload-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-LoopFunctions-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Special404-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-WikiCategoryTagCloud-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SecureSessions-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-QuizTabulate-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ExternalData-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SpellingApi-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RandomFeaturedUser-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-MultimediaPlayer-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Premoderation-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Nonlinear-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-LookupUser-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SharedCssJs-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-EditSubpages-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job parsoidsvc-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RegexFun-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PerPageLicense-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Quantcast-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ReplaceText-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RandomUsersWithAvatars-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RDFIO-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PushToWatch-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Vine-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SimpleSecurity-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-OpenGraphMeta-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-DidYouKnow-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Moodle-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-RandomInCategory-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-HTMLets-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-DeviceMapLogCapture-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-SearchRealnames-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Tabs-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-IframePage-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-FormelApplet-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-Diagnosis-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-ErrorHandler-jslint> ^(\.js.*|.*\.(js|json)$)
INFO:zuul.DependentPipelineManager:      <Job mwext-PrivateDomains-jslint> ^(\.js.*|.*\.(js|json)$)

Details

Related Gerrit Patches:
apps/android/wikipedia : masterMove npm to base folder
integration/config : masterMigrate wikimedia/fundraising/crm from jslint to jshint and jsonlint
integration/config : masterSplit jslint to jshint/jsonlint
integration/config : masterRename parsoid-jslint to parsoid-jshint
integration/config : masterFinally remove jslint from zuul and jenkins
integration/config : masterMigrate apps/android/wikipedia from jslint to jshint
integration/config : masterMigrate parsoid/apps/crm/labs to jshint and jsonlint jobs
integration/config : masterAdd new non voting jshint test
integration/config : masterAdd *-jshint and *-jsonlint to zuul
integration/config : masterRemove unused jslint test from labs
integration/config : masterRemove extension-jslint test from zuul
integration/config : masterRemove template extension-checks, Replace with jshint, jsonlint and mw-checks-test
integration/config : masterReplace jslint test with jsonlint test
integration/config : masterReplace jslint test with jsonlint and jshint tests
integration/config : masterReplace jslint test with jshint and jsonlint tests
integration/config : master[Less] Archive repo
integration/config : masterReplace jslint test with jshint and jsonlint tests
integration/config : master[SimpleSurvey] Repo is archived
integration/config : masterReplace jslint test with jshint and jsonlint
integration/config : masterMigrate apps tests from apps-jslint to apps-jshint and apps-jsonlint
integration/config : master[Limn] Archive repo
integration/config : masterReplace jslint test with jshint and jsonlint tests
integration/config : master[WikidataEntitySuggester] Replaces jslint test with jshint and jsonlint tests
integration/config : master[ThrottleOverride] Replace jslint test with jsonlint and jshint tests
integration/config : master[HSTS] Replace jslint test with jsonlint and jshint tests
integration/config : master[MediaWikiAuth] Replace jslint test with jsonlint and jshint tests
integration/config : master[Oversight] Replace jslint with jshint and jsonlint tests

Event Timeline

Legoktm created this task.Feb 18 2016, 8:24 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 18 2016, 8:24 PM

That is more or less related to T62619: All repositories should pass jshint test

@Paladox kindly started to send patches on extensions to make them pass and uses the child bugs of T62619. There are matching changes in CI that adds the legacy jshint/jsonlint jobs, could be npm but that saves the trouble of having to craft the package.json so I have been approving them.

Forgot: someone suggested to just mass migrate to voting jshint/jsonlint which would V-1 misbehaving repos. Might be easier to track fix this way but i am afraid people will just ignore the failing job and force merge.

@Legoktm thanks for adding what tests needs converting. I think to get jslint removed quickly we should migrate everything to jshint and jsonlint once we removed jslint we should start the migration to npm since @hashar has said that he will start on some repos opening up npm to non whitelisted users. So jshint and jsonlint could soon be removed totatly in favour of using npm.

@hashar we could mass migrate if we do what we did to jslint and create a non voting jshint custom test.

Hmm, okay.

So I think we should first split the passing jslint jobs into generic jshint and jsonlint. Then we can create a generic non-voting jshint, and split the non-voting jobs (jsonlint should be passing for every repo, no exceptions).

And then it should be easier to move the jshint job from non-voting -> voting, and I'll look at Paladox's patches.

@Legoktm thanks but should we move the remaining jshint tests to non generic jshint and jsonlint and then go through one by one and pick the ones that can go into the generic one since that would allow us to remove jshint in one go without cousins major problems.

Change 271722 had a related patch set uploaded (by Paladox):
Add new non voting jshint test

https://gerrit.wikimedia.org/r/271722

Change 271723 had a related patch set uploaded (by Paladox):
[MediaWikiAuth] Replace jslint test with jsonlint and jshint tests

https://gerrit.wikimedia.org/r/271723

Change 271724 had a related patch set uploaded (by Paladox):
[HSTS] Replace jslint test with jsonlint and jshint tests

https://gerrit.wikimedia.org/r/271724

Change 271725 had a related patch set uploaded (by Paladox):
Migrate apps tests from apps-jslint to apps-jshint and apps-jsonlint

https://gerrit.wikimedia.org/r/271725

Change 271726 had a related patch set uploaded (by Paladox):
[ThrottleOverride] Replace jslint test with jsonlint and jshint tests

https://gerrit.wikimedia.org/r/271726

Change 271730 had a related patch set uploaded (by Paladox):
[WikidataEntitySuggester] Replaces jslint test with jshint and jsonlint tests

https://gerrit.wikimedia.org/r/271730

Change 271731 had a related patch set uploaded (by Paladox):
[Oversight] Replace jslint with jshint and jsonlint tests

https://gerrit.wikimedia.org/r/271731

Change 271731 abandoned by Paladox:
[Oversight] Replace jslint with jshint and jsonlint tests

Reason:
I'm going to archive the repo instead which is done at https://gerrit.wikimedia.org/r/#/c/271732/

https://gerrit.wikimedia.org/r/271731

Change 271730 merged by Hashar:
[WikidataEntitySuggester] Replaces jslint test with jshint and jsonlint tests

https://gerrit.wikimedia.org/r/271730

Change 271726 merged by Hashar:
[ThrottleOverride] Replace jslint test with jsonlint and jshint tests

https://gerrit.wikimedia.org/r/271726

Change 271723 merged by Hashar:
[MediaWikiAuth] Replace jslint test with jsonlint and jshint tests

https://gerrit.wikimedia.org/r/271723

Change 271724 merged by Hashar:
[HSTS] Replace jslint test with jsonlint and jshint tests

https://gerrit.wikimedia.org/r/271724

Change 272629 had a related patch set uploaded (by Paladox):
Replace jslint test with jshint and jsonlint tests

https://gerrit.wikimedia.org/r/272629

@Legoktm could you update the description please with the recent changes and include https://gerrit.wikimedia.org/r/27262/ please so we can tell which ones need updating.

Change 272631 had a related patch set uploaded (by Paladox):
[Limn] Archive repo

https://gerrit.wikimedia.org/r/272631

Change 272629 merged by jenkins-bot:
Replace jslint test with jshint and jsonlint tests

https://gerrit.wikimedia.org/r/272629

Change 272631 merged by jenkins-bot:
[Limn] Archive repo

https://gerrit.wikimedia.org/r/272631

Change 271725 abandoned by Paladox:
Migrate apps tests from apps-jslint to apps-jshint and apps-jsonlint

Reason:
https://gerrit.wikimedia.org/r/#/c/272954/

https://gerrit.wikimedia.org/r/271725

Change 272766 had a related patch set uploaded (by Paladox):
Move npm to base folder

https://gerrit.wikimedia.org/r/272766

Change 272766 abandoned by Paladox:
Move npm to base folder

Reason:
This repo should be blanketed instead.

https://gerrit.wikimedia.org/r/272766

Change 272766 restored by Paladox:
Move npm to base folder

https://gerrit.wikimedia.org/r/272766

Change 273128 had a related patch set uploaded (by Paladox):
Replace jslint test with jshint and jsonlint

https://gerrit.wikimedia.org/r/273128

Change 273129 had a related patch set uploaded (by Paladox):
[SimpleSurvey] Archive repo

https://gerrit.wikimedia.org/r/273129

Change 273128 merged by jenkins-bot:
Replace jslint test with jshint and jsonlint

https://gerrit.wikimedia.org/r/273128

Change 273129 merged by jenkins-bot:
[SimpleSurvey] Repo is archived

https://gerrit.wikimedia.org/r/273129

Change 273394 had a related patch set uploaded (by Paladox):
Replace jslint test with jshint and jsonlint tests

https://gerrit.wikimedia.org/r/273394

Change 273398 had a related patch set uploaded (by Paladox):
Remove template extension-checks, Replace with jshint, jsonlint and mw-checks-test

https://gerrit.wikimedia.org/r/273398

Change 273394 merged by jenkins-bot:
Replace jslint test with jshint and jsonlint tests

https://gerrit.wikimedia.org/r/273394

Change 273548 had a related patch set uploaded (by Paladox):
Replace jslint test with jshint and jsonlint tests

https://gerrit.wikimedia.org/r/273548

Change 273550 had a related patch set uploaded (by Paladox):
[Less] Archive repo

https://gerrit.wikimedia.org/r/273550

Change 273550 merged by jenkins-bot:
[Less] Archive repo

https://gerrit.wikimedia.org/r/273550

Change 273548 merged by jenkins-bot:
Replace jslint test with jshint and jsonlint tests

https://gerrit.wikimedia.org/r/273548

Change 273779 had a related patch set uploaded (by Paladox):
Replace jslint test with jsonlint and jshint tests

https://gerrit.wikimedia.org/r/273779

Change 273868 had a related patch set uploaded (by Hashar):
Migrate parsoid/apps to jshint and jsonlint jobs

https://gerrit.wikimedia.org/r/273868

Change 273779 merged by jenkins-bot:
Replace jslint test with jsonlint and jshint tests

https://gerrit.wikimedia.org/r/273779

Change 273897 had a related patch set uploaded (by Paladox):
Replace jslint test with jsonlint test

https://gerrit.wikimedia.org/r/273897

Paladox added a comment.EditedFeb 29 2016, 2:15 PM

With the patch above applied there is only 6 mediawiki extensions needing converting to jshint and jsonlint which are being done in a separate patch. And also 3 repos which are not mediawiki extensions needing converting too which are also being done in a separate patch.

jslint is almost ready to be removed entirely. :)

Change 273897 merged by jenkins-bot:
Replace jslint test with jsonlint test

https://gerrit.wikimedia.org/r/273897

Change 273398 merged by jenkins-bot:
Remove template extension-checks, Replace with jshint, jsonlint and mw-checks-test

https://gerrit.wikimedia.org/r/273398

This is now complete except from the 3 non mediawiki extensions that are being converted.

Can this task be closed yet please.

Change 273921 had a related patch set uploaded (by Paladox):
Migrate Parsoid from jslint to jshint

https://gerrit.wikimedia.org/r/273921

Mentioned in SAL [2016-02-29T16:17:01Z] <hashar> Deleting all mwext-.*-jslint jobs from Jenkins. Paladox has migrated all of them to jshint/jsonlint generic jobs T127362

Change 273922 had a related patch set uploaded (by Paladox):
Remove extension-jslint test from zuul

https://gerrit.wikimedia.org/r/273922

Mentioned in SAL [2016-02-29T16:23:24Z] <hashar> salt -v '*slave*' cmd.run 'rm -fR /mnt/jenkins-workspace/workspace/mwext*jslint' T127362

Change 273922 merged by jenkins-bot:
Remove extension-jslint test from zuul

https://gerrit.wikimedia.org/r/273922

Change 273928 had a related patch set uploaded (by Paladox):
Migrate apps/android/wikipedia from jslint to jshint

https://gerrit.wikimedia.org/r/273928

Change 273929 had a related patch set uploaded (by Paladox):
Add *-jshint and *-jsonlint to zuul

https://gerrit.wikimedia.org/r/273929

Change 273930 had a related patch set uploaded (by Paladox):
Remove unused jslint test from labs

https://gerrit.wikimedia.org/r/273930

Change 273932 had a related patch set uploaded (by Paladox):
Migrate wikimedia/fundraising/crm from jslint to jshint and jsonlint

https://gerrit.wikimedia.org/r/273932

Change 274137 had a related patch set uploaded (by Paladox):
finally remove jslint from zuul and jenkins

https://gerrit.wikimedia.org/r/274137

Change 273930 merged by Krinkle:
Remove unused jslint test from labs

https://gerrit.wikimedia.org/r/273930

Change 273929 merged by jenkins-bot:
Add *-jshint and *-jsonlint to zuul

https://gerrit.wikimedia.org/r/273929

Change 271722 abandoned by Hashar:
Add new non voting jshint test

https://gerrit.wikimedia.org/r/271722

Change 273868 abandoned by Hashar:
Migrate parsoid/apps/crm/labs to jshint and jsonlint jobs

Reason:
I have no idea what Paladox has been to that change. Abandoning and starting again from PS1

https://gerrit.wikimedia.org/r/273868

Change 274728 had a related patch set uploaded (by Hashar):
Split jslint to jshint/jsonlint

https://gerrit.wikimedia.org/r/274728

Change 273928 abandoned by Hashar:
Migrate apps/android/wikipedia from jslint to jshint

Reason:
Replaced by https://gerrit.wikimedia.org/r/274728

https://gerrit.wikimedia.org/r/273928

Change 274137 abandoned by Hashar:
Finally remove jslint from zuul and jenkins

Reason:
https://gerrit.wikimedia.org/r/274728

https://gerrit.wikimedia.org/r/274137

Change 273921 abandoned by Hashar:
Rename parsoid-jslint to parsoid-jshint

Reason:
https://gerrit.wikimedia.org/r/274728

https://gerrit.wikimedia.org/r/273921

hashar closed this task as Resolved.Mar 3 2016, 3:30 PM

jslint jobs are gone. Completed by @Paladox

Change 274728 merged by jenkins-bot:
Split jslint to jshint/jsonlint

https://gerrit.wikimedia.org/r/274728

Change 272766 abandoned by Paladox:
Move npm to base folder

Reason:
Done in https://gerrit.wikimedia.org/r/#/c/273504/

https://gerrit.wikimedia.org/r/272766